<?php
if(!isset($_POST['pseudo_admin']) || !isset($_POST['pseudo_admin']))
{
	header('location:index.php');
}
include('connexion.php');
?>
<!DOCTYPE html>
<html lang="fr">

	<head>

			<meta charset="utf-8"/>

			<meta http-equiv="X-UA-Compatible" content="IE=edge">

			<meta name="viewport" content="width=device-width, initial-scale=1">

			<title>Admin Section Login</title>
				<?php
				  date_default_timezone_set('Africa/Porto-Novo'); 
				  // Récupère l'heure
				  ?>
			<style>
				header
				{
					background:#131d24;
					/*background:-moz-linear-gradient(top, #131d24, #000);*/
					height:60px;
					border-bottom:5px solid blue;
					color:#fff;
					padding:35px;
					font-size:25px;
					text-align:center;
				}
				@font-face
				{
					font-family:know;
					src:url('fonts/Acknowledgement.otf');
				}
				@font-face
				{
					font-family:Gilroy-Light;
					src:url('fonts/Gilroy-Light.otf');
				}
				header img
				{
					position:absolute;
					top:10px;
					width:100px;
					height:100px;
					
				}
				#img1
				{
					left:80px;
				}
				
				#img2
				{
					right:80px;
				}
				#utilisateur
				{
					background:-moz-radial-gradient(top,#303032 10%,#000);
					padding:30px 0.2%;
					border-radius:0 0 5px 2px;
					color:#fff;
				}
				#utilisateur, #renseignement
				{
					display:inline-block;
					padding-top:5px;
					width:20%;
					height:190px;
					text-align:center;
					vertical-align:top;
				}
				#utilisateur img
				{
					width:70%;
					height:180px;
					border-radius:50%;
					border:5px solid #fff;
				}
				#renseignement
				{
					width:50%;
					margin-left:3%;
					margin-top:30px;
					height:500px;
					text-align:justify;
				}
				#annee_academique
				{
					position:absolute;
					top:200px;
					right:2%;
					font-size:15px;
					font-family:Cambria;
				}
				#renseignement form
				{
					padding-top:30px;
					padding-bottom:30px;
					background:rgba(78,133,255,0.4);
					margin-top:50px;
					border: 1px solid #4169e1;
				}
				#renseignement form::before
				{
					display:inline-block;
					background:-moz-linear-gradient(top,#4e4aff 25%,#2b26fd);
					position:relative;
					top:-70px;
					left:-1px;
					width:99%;
					content:'Dashboard';
					height:20px;
					padding-top:10px;
					padding-bottom:10px;
					padding-left:1%;
					color:#fff;
					border: 1px solid blue;
					font-family:know;
				}
				#renseignement form textarea
				{
					display:block;
					margin:auto;
				}
				#renseignement form label
				{
					display:inline-block;
					margin-left:1%;
					background:#2b26fd;
					color:#fff;
					padding:5px;
					font-family:Gilroy-Light;
					width:15%;
				}
				#renseignement select
				{
					position:relative;
					left:-5px;
					padding:5px;
					border:none;
					width:30%;
				}
				#matiere_id
				{
					width:60%;
					margin:auto;
					margin-top:20px;
				}
				#renseignement input[type="date"],#renseignement input[type="year"]
				{
					width:28%;
					padding:5px;
					border:1px solid #ccc;
					border-radius:0px 2px 2px 0;
				}
				#btn
				{
					position:relative;
					left:215px;
					margin: 20px;
				}
			</style>

			<link href="style.css" rel="stylesheet">

	</head>

	<body>
			<header>
				<img id="img1" src="img/gs.png" alt="" />
				<span>Interface de Notifications (Php Web Server)</span>
				<img id="img2" src="img/iirond.png" alt="" />
			</header>
			
			<aside id="utilisateur">
				<img src="img/user-3.png" alt="" /><br/>
				<span>Admin</span>
			</aside>
			<aside id="renseignement">
				
				<?php //action normal du formulaire=servertodatabase ?>
				<form method="post" action="servertodatabase.php" onsubmit="return isEmptyTextBox()">

					<input type="hidden" id="user_id" name="token" value="<?php /*echo $token ? $token : 0 */?>">

					<label>Sujet</label>
					<select name="sujet" id="sujet_id">
					  <option value="Sujet non défini">Choisir le sujet du message</option>
					  <option value="Informations divers">Informations divers</option>
					  <option value="Insertion de notes">Insertion de notes</option>
					  <option value="Résultats disponible">Resultats disponible</option>
					</select>
					
					<label>Filière</label>
					<select name="filiere" id="filiere_id">
					  <option >Toutes les filieres</option>
					 <?php
					 $filiere = $bdd->query('SELECT * FROM filieres  ORDER BY idFilieres');
					 
					 while ($donnees = $filiere->fetch())
					{
					 echo "<option value='".$donnees["idFilieres"]."'>".$donnees["sigleFilieres"]."</option>";
					} 
					 ?>
					</select><br/><br/>
					
					<label>Année : </label>
					<select name="annee" id="annee_id">
					 <option value="" selected>Choisissez une année</option>
					  <?php
					 $annee = $bdd->query('SELECT * FROM annee_d_etude');
					 
					 while ($donnees = $annee->fetch())
					{
					 echo "<option value='".$donnees["annee"]."'>".$donnees["annee"]."</option>";
					} 
					 ?>
					</select>
					<label>Année acad : </label>
					<select name="academique" id="academique_id">
						<option value="2015">2014-2015</option>
						<option value="2016">2015-2016</option>
					</select><br/>				
					
					<br/><label>Semestre : </label>
					<select name="semestre" id="semestre_id">
					 <option value="" selected >Choisissez un semestre</option>
					  <?php
					 $semestre = $bdd->query('SELECT * FROM semestre');
					 
					 while ($donnees = $semestre->fetch())
					{
						echo "<option value='".$donnees["id_semestre"]."'>".$donnees["semestre"]."</option>";
					} 
					 ?>
					</select><br/>
					
					
					<br/><label>Niveau : </label>
					<select name="niveau" id="niveau_id">
					 <option value="" selected >Choisissez un niveau</option>
					  <?php
					 $niveau = $bdd->query('SELECT * FROM niveau_d_etude');
					 
					 while ($donnees = $niveau->fetch())
					{
						echo "<option value='".$donnees["id_niveau"]."'>".$donnees["niveau"]."</option>";
					} 
					 ?>
					</select><br/>
					
					<input id="btn" type="button" value="matiere" />
					
					<fieldset id="matiere_id">
						<span style="display:block;background:blue; color:#fff; padding:5px;">Veuillez choisir les matières mises</span><br/>
						
									<div class="data">	</div>
											
					</fieldset>

					<?php 
					$a= date('Y'); $m= date('m'); $j= date('d'); $h= date('H'); $min= date('i');	
					
					echo '<br/> <label>Date : </label><input type="date" name="date" id="date_id" value="'.$j.'/'.$m.'/'.$a.' à '.$h.':'.$min.'"><br/><br/> ';?>
					
					<textarea cols="70" rows="12" name="message" cols="45" placeholder="Message via Firebase Cloud Messaging"></textarea> <br/>

					<input id="button-send" type="submit" value="Send Notification" />

					</form>
			</aside>
			<div id="annee_academique">Année académique: <?php 
			
			if($m>=11){
				echo $a.'-'.($a+1);
			}else{
				echo ($a-1).'-'.$a;
			}
			?>
			</div>

			<section>
				<div id="form-wrapper">


					<script src="http://ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js"></script>

					<script src="jquery.js"></script>

					<script>

					$(function(){

					$("textarea").val("");


						var sujet=document.querySelector('#sujet_id'),filiere=document.querySelector('#filiere_id');
						sujet.onchange =function(){
								var option=sujet.options[sujet.selectedIndex].innerHTML,
									filiere_choisie= filiere.options[filiere.selectedIndex].innerHTML;
								
								if(option=="Insertion de notes" && filiere_choisie!="Toutes les filieres")
								{
										$('#btn').click(function(){
										$("#matiere_id").css('display','block');
										var n=$('#niveau_id').val();
										var a=$('#annee_id').val();
										var s=$('#semestre_id').val();
										var f=$('#filiere_id').val();
										var acad=$('#academique_id').val();
									
										$.ajax({
											 type: "POST",
											 url: "gestTrait.php",
											 data: "niveau="+n+"&annee="+a+"&semestre="+s+"&filiere="+f+"&academique="+acad,
											 success: function(data){
												 $('.data').html(data);
											 }
											 
											 
										});
										
										});
								}
								if(option=="Insertion de notes" && filiere_choisie=="Toutes les filieres")
								{
									alert('Vous devez choisir une filière!!!');
									$("#sujet_id").prop('selectedIndex',0);
								}
								if(option!="Insertion de notes" )
								{
									$("#matiere_id").css('display','none');
								}
						}
						

					});

					function isEmptyTextBox(){

							var msgLength = $.trim($("textarea").val()).length;
							
							/**********Annee******/
							var  annee=document.querySelector('#annee_id'),
							annee_choisie = annee.options[annee.selectedIndex].innerHTML;
							
							/***********Semestre********/
							var  semestre=document.querySelector('#semestre_id'),
										semestre_choisie = semestre.options[semestre.selectedIndex].innerHTML;
										
							/*******************/
							var  niveau=document.querySelector('#niveau_id'),
								niveau_choisie = niveau.options[niveau.selectedIndex].innerHTML;
										
							
							


							if (annee_choisie == "Choisissez une année"){
								alert("Le champ de l'annee est vide.");
								return false;

							}else if( semestre_choisie == "Choisissez un semestre"){
								alert("Le champ du semestre est vide.");
								return false;
							
							}else if(niveau_choisie == "Choisissez un niveau"){
								alert("Le champ du niveau est vide.");
								return false;
							
							}/*else if(msgLength == 0){
								alert("Le message est vide.");
							return false;
							}*/else{
								return true;
							}
					}

							
						
					</script>

					</div>
			</section>
	</body>

</html>
